API Documentation |
GeneExpressionData

Package | ch.unil.cbg.ExpressionView.model
Class | public class GeneExpressionData
Inheritance | GeneExpressionData flash.events.EventDispatcher

Public Properties

| Property | Defined By
--- | --- | ---
|  | dataOrigin : Boolean | GeneExpressionData
|  | geneLabels : Vector.<Array> | GeneExpressionData
|  | GenesLookup : Vector.<Array> | GeneExpressionData
|  | GenesLookupP : Vector.<Array> | GeneExpressionData
|  | goLabels : Vector.<Array> | GeneExpressionData
|  | keggLabels : Vector.<Array> | GeneExpressionData
|  | moduleLabels : Vector.<Array> | GeneExpressionData
|  | Modules : XMLListCollection | GeneExpressionData
|  | ModulesColors : Vector.<Array> | GeneExpressionData
|  | ModulesLookupGenes : Vector.<Array> | GeneExpressionData
|  | ModulesLookupGOs : Vector.<Array> | GeneExpressionData
|  | ModulesLookupGOsP : Vector.<Array> | GeneExpressionData
|  | ModulesLookupKEGGs : Vector.<Array> | GeneExpressionData
|  | ModulesLookupKEGGsP : Vector.<Array> | GeneExpressionData
|  | ModulesLookupModules : Vector.<Array> | GeneExpressionData
|  | ModulesLookupSamples : Vector.<Array> | GeneExpressionData
|  | nGenes : int | GeneExpressionData
|  | nModules : int | GeneExpressionData
|  | nSamples : int | GeneExpressionData
|  | sampleLabels : Vector.<Array> | GeneExpressionData
|  | SamplesLookup : Vector.<Array> | GeneExpressionData
|  | SamplesLookupP : Vector.<Array> | GeneExpressionData
|  | xAxisLabel : String | GeneExpressionData
|  | XMLData : XML | GeneExpressionData
|  | yAxisLabel : String | GeneExpressionData

Public Methods

| Method | Defined By
--- | --- | ---
|  | GeneExpressionData() | GeneExpressionData
|  | generatedModules():Array | GeneExpressionData
|  | getInfo(module:int, gene:int, sample:int):Array | GeneExpressionData
|  | getModule(module:int):GeneExpressionModule | GeneExpressionData
|  | initialize(data:XML):void | GeneExpressionData

Property Detail

dataOrigin | property

`public var dataOrigin:Boolean`

geneLabels | property |

`public var geneLabels:Vector.<Array>`

GenesLookup | property |

`public var GenesLookup:Vector.<Array>`

GenesLookupP | property |

`public var GenesLookupP:Vector.<Array>`

goLabels | property |

`public var goLabels:Vector.<Array>`

keggLabels | property |

`public var keggLabels:Vector.<Array>`

moduleLabels | property |

`public var moduleLabels:Vector.<Array>`

Modules | property |

`public var Modules:XMLListCollection`

ModulesColors | property |

`public var ModulesColors:Vector.<Array>`

ModulesLookupGenes | property |

`public var ModulesLookupGenes:Vector.<Array>`

ModulesLookupGOs | property |

`public var ModulesLookupGOs:Vector.<Array>`

ModulesLookupGOsP | property |

`public var ModulesLookupGOsP:Vector.<Array>`

ModulesLookupKEGGs | property |

`public var ModulesLookupKEGGs:Vector.<Array>`

ModulesLookupKEGGsP | property |

`public var ModulesLookupKEGGsP:Vector.<Array>`

ModulesLookupModules | property |

`public var ModulesLookupModules:Vector.<Array>`

ModulesLookupSamples | property |

`public var ModulesLookupSamples:Vector.<Array>`

nGenes | property |

`public var nGenes:int`

nModules | property |

`public var nModules:int`

nSamples | property |

`public var nSamples:int`

sampleLabels | property |

`public var sampleLabels:Vector.<Array>`

SamplesLookup | property |

`public var SamplesLookup:Vector.<Array>`

SamplesLookupP | property |

`public var SamplesLookupP:Vector.<Array>`

xAxisLabel | property |

`public var xAxisLabel:String`

XMLData | property |

`public var XMLData:XML`

yAxisLabel | property |

`public var yAxisLabel:String`

Constructor Detail

GeneExpressionData | () | Constructor

`public function GeneExpressionData()`

Method Detail

generatedModules | () | method

`public function generatedModules():Array`

Returns

| `Array`

getInfo | () | method |

`public function getInfo(module:int, gene:int, sample:int):Array`

Parameters

| `module:int`
| `gene:int`
| `sample:int`

Returns

| `Array`

getModule | () | method |

`public function getModule(module:int):GeneExpressionModule`

Parameters

| `module:int`

Returns

| `GeneExpressionModule`

initialize | () | method |

`public function initialize(data:XML):void`

Parameters

| `data:XML`

Mon Oct 17 2011, 09:13 PM -04:00